Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 64615 (kde-mixgcc) - kde packages fail to build because of mixing different GCC versions
Summary: kde packages fail to build because of mixing different GCC versions
Status: RESOLVED INVALID
Alias: kde-mixgcc
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: x86 Linux
: High blocker (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
: 64614 67585 75030 76952 85738 91171 93140 99029 99792 103617 106629 108950 112999 113784 114064 115207 115717 115794 116801 118403 120570 120681 120913 122480 122505 122534 123065 123941 125417 125560 128070 128381 128765 129080 129787 130266 131891 132463 133494 134113 134317 134474 134747 134855 134889 135293 135482 135484 135606 135654 135756 135877 135887 136494 136609 136657 136728 137078 137554 137717 138205 139046 139204 139644 141146 141546 141739 141890 142970 142983 143846 144030 146072 146406 147194 147843 148647 148739 149019 150586 150902 150927 151603 151675 152867 152898 152976 155470 155744 156359 163227 164889 167684 168290 168639 170601 172484 174275 174923 175409 179396 180674 186535 186540 186858 187261 190497 191609 192249 194726 200923 208378 209110 211879 213000 213446 223563 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-09-19 04:07 UTC by psk
Modified: 2010-04-17 18:31 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description psk 2004-09-19 04:07:31 UTC
I can't compile arts, so, I can't install KDE (even with use "-alsa -arts", kdentwork complain that arts is not installed during compilation)
I've tryed with distcc : segfault at the same step (artsflow something.idl)
I've tryed with USE="" CFLAGS="" CXXFLAGS=""
Same problem each time...

Reproducible: Always
Steps to Reproduce:
emerge arts

Actual Results:  
/bin/sh ../libtool --silent --mode=link --tag=CXX g++   -Wnon-virtual-dtor
-Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align
-Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -DNDEBUG
-DNO_DEBUG -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions
-fno-check-new -fno-common  -ftemplate-depth-99    -o libartsflow_idl.la -rpath
/usr/kde/3.3/lib -no-undefined -Wl,--no-undefined -Wl,--allow-shlib-undefined
-version-info 1:0 -L/usr/X11R6/lib -L/usr/qt/3/lib -L/usr/kde/3.3/lib 
artsflow.lo ../mcop/libmcop.la  
/bin/sh ../libtool --silent --mode=link --tag=CXX g++   -Wnon-virtual-dtor
-Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align
-Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -DNDEBUG
-DNO_DEBUG -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions
-fno-check-new -fno-common  -ftemplate-depth-99    -o libartsflow.la -rpath
/usr/kde/3.3/lib   -no-undefined -Wl,--no-undefined -Wl,--allow-shlib-undefined
-version-info 1:0 synth_play_impl.lo gslschedule.lo audiosubsys.lo pipebuffer.lo
convert.lo synth_wave_sin_impl.lo synth_frequency_impl.lo
synth_multi_add_impl.lo synth_add_impl.lo synth_mul_impl.lo
synth_play_wav_impl.lo stdsynthmodule.lo cache.lo asyncschedule.lo
bytestreamtoaudio_impl.lo stereovolumecontrol_impl.lo stereoeffectstack_impl.lo
fft.lo stereofftscope_impl.lo virtualports.lo bus.lo audiomanager_impl.lo
synth_record_impl.lo resample.lo audioio.lo audioiooss.lo audioioalsa.lo
audioioalsa9.lo audioionull.lo audioiolibaudioio.lo audioioesd.lo audioiojack.lo
audioiosun.lo audioioaix.lo audioionas.lo cpuinfo.lo audioioossthreaded.lo
audiotobytestream_impl.lo audioiosgi.lo audioiocsl.lo audioiomas.lo
datahandle_impl.lo ../mcop/libmcop.la libartsflow_idl.la
../flow/gslpp/libgslpp.la -L/usr/X11R6/lib -L/usr/qt/3/lib -L/usr/kde/3.3/lib  
-L/usr/X11R6/lib -L/usr/qt/3/lib -L/usr/kde/3.3/lib  -laudiofile -lasound  
-L/usr/X11R6/lib -L/usr/qt/3/lib -L/usr/kde/3.3/lib   -laudio -lXt      -lm
../flow/gsl/libgsl.la 
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTVN4Arts20Synth_FREQUENCY_implE+0x58):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTVN4Arts20Synth_FREQUENCY_implE+0x5c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTVN4Arts20Synth_FREQUENCY_implE+0x60):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTVN4Arts20Synth_FREQUENCY_implE+0x68):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTVN4Arts20Synth_FREQUENCY_implE+0x6c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTCN4Arts20Synth_FREQUENCY_implE12_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTCN4Arts20Synth_FREQUENCY_implE12_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTCN4Arts20Synth_FREQUENCY_implE12_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTCN4Arts20Synth_FREQUENCY_implE12_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTCN4Arts20Synth_FREQUENCY_implE12_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_frequency_impl.o(.gnu.linkonce.d._ZTCN4Arts20Synth_FREQUENCY_implE12_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTVN4Arts14Synth_ADD_implE+0x58):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTVN4Arts14Synth_ADD_implE+0x5c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTVN4Arts14Synth_ADD_implE+0x60):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTVN4Arts14Synth_ADD_implE+0x64):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTVN4Arts14Synth_ADD_implE+0x68):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTVN4Arts14Synth_ADD_implE+0x6c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTCN4Arts14Synth_ADD_implE16_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTCN4Arts14Synth_ADD_implE16_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTCN4Arts14Synth_ADD_implE16_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTCN4Arts14Synth_ADD_implE16_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTCN4Arts14Synth_ADD_implE16_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_add_impl.o(.gnu.linkonce.d._ZTCN4Arts14Synth_ADD_implE16_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTVN4Arts19Synth_PLAY_WAV_implE+0x6c):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTVN4Arts19Synth_PLAY_WAV_implE+0x70):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTVN4Arts19Synth_PLAY_WAV_implE+0x74):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTVN4Arts19Synth_PLAY_WAV_implE+0x7c):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTVN4Arts19Synth_PLAY_WAV_implE+0x80):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTCN4Arts19Synth_PLAY_WAV_implE12_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTCN4Arts19Synth_PLAY_WAV_implE12_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTCN4Arts19Synth_PLAY_WAV_implE12_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTCN4Arts19Synth_PLAY_WAV_implE12_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTCN4Arts19Synth_PLAY_WAV_implE12_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_play_wav_impl.o(.gnu.linkonce.d._ZTCN4Arts19Synth_PLAY_WAV_implE12_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTVN4Arts22ByteStreamToAudio_implE+0x74):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTVN4Arts22ByteStreamToAudio_implE+0x78):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTVN4Arts22ByteStreamToAudio_implE+0x7c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTVN4Arts22ByteStreamToAudio_implE+0x80):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTVN4Arts22ByteStreamToAudio_implE+0x84):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTVN4Arts22ByteStreamToAudio_implE+0x88):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTCN4Arts22ByteStreamToAudio_implE28_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTCN4Arts22ByteStreamToAudio_implE28_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTCN4Arts22ByteStreamToAudio_implE28_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTCN4Arts22ByteStreamToAudio_implE28_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTCN4Arts22ByteStreamToAudio_implE28_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/bytestreamtoaudio_impl.o(.gnu.linkonce.d._ZTCN4Arts22ByteStreamToAudio_implE28_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTVN4Arts24StereoVolumeControl_implE+0x88):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTVN4Arts24StereoVolumeControl_implE+0x8c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTVN4Arts24StereoVolumeControl_implE+0x90):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTVN4Arts24StereoVolumeControl_implE+0x94):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTVN4Arts24StereoVolumeControl_implE+0x98):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTCN4Arts24StereoVolumeControl_implE112_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTCN4Arts24StereoVolumeControl_implE112_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTCN4Arts24StereoVolumeControl_implE112_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTCN4Arts24StereoVolumeControl_implE112_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTCN4Arts24StereoVolumeControl_implE112_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/stereovolumecontrol_impl.o(.gnu.linkonce.d._ZTCN4Arts24StereoVolumeControl_implE112_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
virtual thunk to Arts::StereoEffect_skel::~StereoEffect_skel(): discarded in
section `.gnu.linkonce.t._ZN4Arts17StereoEffect_skelD1Ev' from
.libs/stereoeffectstack_impl.o
virtual thunk to Arts::StereoEffect_skel::~StereoEffect_skel(): discarded in
section `.gnu.linkonce.t._ZN4Arts17StereoEffect_skelD0Ev' from
.libs/stereoeffectstack_impl.o
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTVN4Arts19StereoFFTScope_implE+0x64):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTVN4Arts19StereoFFTScope_implE+0x68):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTVN4Arts19StereoFFTScope_implE+0x6c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTVN4Arts19StereoFFTScope_implE+0x78):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTCN4Arts19StereoFFTScope_implE4_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTCN4Arts19StereoFFTScope_implE4_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTCN4Arts19StereoFFTScope_implE4_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTCN4Arts19StereoFFTScope_implE4_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTCN4Arts19StereoFFTScope_implE4_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/stereofftscope_impl.o(.gnu.linkonce.d._ZTCN4Arts19StereoFFTScope_implE4_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/bus.o(.gnu.linkonce.d._ZTVN4Arts23Synth_BUS_DOWNLINK_implE+0x64): warning:
undefined reference to `virtual thunk to
Arts::StdSynthModule::start()'.libs/bus.o(.gnu.linkonce.d._ZTVN4Arts23Synth_BUS_DOWNLINK_implE+0x68):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/bus.o(.gnu.linkonce.d._ZTVN4Arts23Synth_BUS_DOWNLINK_implE+0x70): warning:
undefined reference to `virtual thunk to Arts::StdSynthModule::streamStart()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts23Synth_BUS_DOWNLINK_implE12_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts23Synth_BUS_DOWNLINK_implE12_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts23Synth_BUS_DOWNLINK_implE12_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts23Synth_BUS_DOWNLINK_implE12_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts23Synth_BUS_DOWNLINK_implE12_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts23Synth_BUS_DOWNLINK_implE12_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/bus.o(.gnu.linkonce.d._ZTVN4Arts21Synth_BUS_UPLINK_implE+0x64): warning:
undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/bus.o(.gnu.linkonce.d._ZTVN4Arts21Synth_BUS_UPLINK_implE+0x68): warning:
undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/bus.o(.gnu.linkonce.d._ZTVN4Arts21Synth_BUS_UPLINK_implE+0x70): warning:
undefined reference to `virtual thunk to Arts::StdSynthModule::streamStart()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts21Synth_BUS_UPLINK_implE12_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts21Synth_BUS_UPLINK_implE12_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts21Synth_BUS_UPLINK_implE12_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts21Synth_BUS_UPLINK_implE12_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts21Synth_BUS_UPLINK_implE12_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/bus.o(.gnu.linkonce.d._ZTCN4Arts21Synth_BUS_UPLINK_implE12_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTVN4Arts17Synth_RECORD_implE+0x104):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTVN4Arts17Synth_RECORD_implE+0x108):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTVN4Arts17Synth_RECORD_implE+0x110):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTCN4Arts17Synth_RECORD_implE116_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTCN4Arts17Synth_RECORD_implE116_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTCN4Arts17Synth_RECORD_implE116_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTCN4Arts17Synth_RECORD_implE116_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTCN4Arts17Synth_RECORD_implE116_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/synth_record_impl.o(.gnu.linkonce.d._ZTCN4Arts17Synth_RECORD_implE116_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19WaveDataHandle_implE+0xfc):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19WaveDataHandle_implE+0x100):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19WaveDataHandle_implE+0x104):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19WaveDataHandle_implE0_NS_19WaveDataHandle_skelE+0x1dc):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19WaveDataHandle_implE0_NS_19WaveDataHandle_skelE+0x1e0):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19WaveDataHandle_implE0_NS_19WaveDataHandle_skelE+0x1e4):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19WaveDataHandle_implE0_NS_19WaveDataHandle_baseE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19WaveDataHandle_implE0_NS_19WaveDataHandle_baseE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19WaveDataHandle_implE0_NS_19WaveDataHandle_baseE+0xc0):
warning: undefined reference to `virtual thunk to
Arts::WaveDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19DataHandlePlay_implE+0x168):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19DataHandlePlay_implE+0x16c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19DataHandlePlay_implE+0x170):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19DataHandlePlay_implE+0x178):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts19DataHandlePlay_implE+0x17c):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19DataHandlePlay_implE132_NS_14StdSynthModuleE+0xac):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::autoSuspend()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19DataHandlePlay_implE132_NS_14StdSynthModuleE+0xb0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19DataHandlePlay_implE132_NS_14StdSynthModuleE+0xb4):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19DataHandlePlay_implE132_NS_14StdSynthModuleE+0xb8):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamInit()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19DataHandlePlay_implE132_NS_14StdSynthModuleE+0xbc):
warning: undefined reference to `virtual thunk to
Arts::StdSynthModule::streamStart()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts19DataHandlePlay_implE132_NS_14StdSynthModuleE+0xc0):
warning: undefined reference to `virtual thunk to Arts::StdSynthModule::streamEnd()'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts18CutDataHandle_implE+0xd4):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts18CutDataHandle_implE+0xd8):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts18CutDataHandle_implE+0xdc):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts18CutDataHandle_implE0_NS_18CutDataHandle_skelE+0x1b4):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts18CutDataHandle_implE0_NS_18CutDataHandle_skelE+0x1b8):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts18CutDataHandle_implE0_NS_18CutDataHandle_skelE+0x1bc):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts18CutDataHandle_implE0_NS_18CutDataHandle_baseE+0x90):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts18CutDataHandle_implE0_NS_18CutDataHandle_baseE+0x94):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts18CutDataHandle_implE0_NS_18CutDataHandle_baseE+0x98):
warning: undefined reference to `virtual thunk to
Arts::CutDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts22CroppedDataHandle_implE+0xd4):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts22CroppedDataHandle_implE+0xd8):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts22CroppedDataHandle_implE+0xdc):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts22CroppedDataHandle_implE0_NS_22CroppedDataHandle_skelE+0x1b4):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts22CroppedDataHandle_implE0_NS_22CroppedDataHandle_skelE+0x1b8):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts22CroppedDataHandle_implE0_NS_22CroppedDataHandle_skelE+0x1bc):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts22CroppedDataHandle_implE0_NS_22CroppedDataHandle_baseE+0x90):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts22CroppedDataHandle_implE0_NS_22CroppedDataHandle_baseE+0x94):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts22CroppedDataHandle_implE0_NS_22CroppedDataHandle_baseE+0x98):
warning: undefined reference to `virtual thunk to
Arts::CroppedDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts23ReversedDataHandle_implE+0xd4):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts23ReversedDataHandle_implE+0xd8):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTVN4Arts23ReversedDataHandle_implE+0xdc):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts23ReversedDataHandle_implE0_NS_23ReversedDataHandle_skelE+0x1b4):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts23ReversedDataHandle_implE0_NS_23ReversedDataHandle_skelE+0x1b8):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts23ReversedDataHandle_implE0_NS_23ReversedDataHandle_skelE+0x1bc):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_cast(unsigned long)'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts23ReversedDataHandle_implE0_NS_23ReversedDataHandle_baseE+0x90):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_defaultPortsIn() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts23ReversedDataHandle_implE0_NS_23ReversedDataHandle_baseE+0x94):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_defaultPortsOut() const'
.libs/datahandle_impl.o(.gnu.linkonce.d._ZTCN4Arts23ReversedDataHandle_implE0_NS_23ReversedDataHandle_baseE+0x98):
warning: undefined reference to `virtual thunk to
Arts::ReversedDataHandle_base::_cast(unsigned long)'
collect2: ld returned 1 exit status
distcc[24234] ERROR: compile (null) on localhost failed
make[3]: *** [libartsflow.la] Erreur 1
make[3]: Leaving directory `/var/tmp/portage/arts-1.3.0/work/arts-1.3.0/flow'
make[2]: *** [all-recursive] Erreur 1
make[2]: Leaving directory `/var/tmp/portage/arts-1.3.0/work/arts-1.3.0/flow'
make[1]: *** [all-recursive] Erreur 1
make[1]: Leaving directory `/var/tmp/portage/arts-1.3.0/work/arts-1.3.0'
make: *** [all] Erreur 2

!!! ERROR: kde-base/arts-1.3.0 failed.
!!! Function kde_src_compile, Line 135, Exitcode 2
!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, NOT this status message.


Expected Results:  
successfull emerge

emerge info
Portage 2.0.51_rc1 (default-x86-2004.2, gcc-3.4.1, glibc-2.3.4.20040808-r0,
2.6.8-ck7 i686)
=================================================================
System uname: 2.6.8-ck7 i686 AMD Athlon(tm) XP 3000+
Gentoo Base System version 1.5.3
distcc 2.17 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.90.0.1.1-r3
Headers:  sys-kernel/linux-headers-2.4.22
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-xp -O3 -pipe -fPIC -mfpmath=sse -msse -mmmx -m3dnow
-fomit-frame-pointer -falign-functions=32"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown
/usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -O3 -pipe -fPIC -mfpmath=sse -msse -mmmx -m3dnow
-fomit-frame-pointer -falign-functions=32"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs buildpkg ccache cvs distcc sandbox"
GENTOO_MIRRORS="http://gentoo.osuosl.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex GAPING_SECURITY_HOLE X X509 aac aalib accessibility acpi
acpi4linux aim alsa amd apache1 apache2 apm arts artswrappersuid async atm
audiofile avi berkdb bitmap-fonts bluetooth bonobo bootsplash bzlib c++ cairo
calendar cap caps cddb cdf cdinstall cdparanoia cdr cdrom cgi chroot clamav
clanJavaScript codecs cpdflib crypt cscope ctype cups curl curlwrappers cyrus
dba dbase dbcp dbm devfs devfs26 devmap dga dio directfb distcache distribution
divx4linux djbfft dlloader dmx dts dv dvb dvd dvdr dvdread edl encode erandom
escreen etwin exif exim ext-png ext-zlib extensions faac faad fam fbcon fbdev
ffmpeg flac fluidsynth foomaticdb foreign-package foreign-sysvinit freetype fs
ftp fusion gamma gatos gdbm ggi gif gimp gimpprint glade glgd gphoto2 gpm gps
gtk gtk2 gtkhtml hardened hbci hdf hdf5 i8x0 icq ide idea imagemagick imap
imlib2 inifile ipv6 irda irmc jabber java javacomm javamail javascript jbig
jboss jce jikes jit jmx joystick jp2 jpeg jta justify kde lesstif libcaca libg++
libgda libwww lirc lm_sensors lufsusermount lzo lzw lzw-tiff m17n-lib mad
mailbox maildir maildrop matroska mbox mbrola mcal mcve md5sum mdb mecab
memlimit messages mhash mikmod milter mime mmap mmx mmx2 mng monkey mono motif
mozcalendar mozctl mozdevelop mozilla mozp3p mozsvg mp3 mpeg mpeg4 mpi mplayer
msn mysql nas ncurses net network neural nntp ntlm nvidia oav ofx oggvorbis
ooo-kde openal opengl openssh oscar oss pam parse-clocks pcap pcntl pcre pda pdf
pdflib pear-db perl php physfs pic pie png pnp portaudio posix procmail pthreads
python qt quicktime quotes radeon radius rage128 readline recode rhino rtc samba
sdl serial servlet-2.4 sftplogging shaper shared sharedmem simplexml slang slp
smartcard sndfile snmp soap sockets socks5 spamassassin speedo speex spell sse
sse2 ssl stencil-buffer subject-rewrite svg svga sysvipc szip tcltk tcpd tga
theora threads tidy tiff timidity tokenizer transcode truetype type1 uim uml
unicode usb userlocales uudeview v4l v4l2 vda vhosts videos vim virus-scan vnc
wifi wsconvert wxwin wxwindows x86 xbase xforms xfs xgetdefault xine xinerama
xml xml2 xmlrpc xmms xpm xprint xsl xv xvid yahoo yv12 zlib zvbi"
Comment 1 psk 2004-09-19 04:33:52 UTC
*** Bug 64614 has been marked as a duplicate of this bug. ***
Comment 2 Dewet Diener 2004-09-20 06:43:26 UTC
This is biting me at the moment too...

asara ~ # emerge info
Portage 2.0.51_rc1 (default-x86-1.4, gcc-3.4.1, glibc-2.3.4.20040808-r0, 2.6.8-ck3 i686)
=================================================================
System uname: 2.6.8-ck3 i686 AMD Duron(tm) Processor
Gentoo Base System version 1.5.3
distcc 2.16 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.90.0.1.1-r3
Headers:  sys-kernel/linux-headers-2.4.22
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-tbird -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.3/share/config:/usr/kde/3.3/env:/usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/X11/Sessions /etc/X11/xdm /etc/X11/xinit /etc/X11/xkb /etc/X11/xserver /etc/X11/xsm /etc/env.d /etc/gconf /etc/init.d /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-tbird -O3 -pipe -fomit-frame-pointer"
DISTDIR="/mp3/distfiles"
FEATURES="autoaddcvs ccache distcc prelink sandbox"
GENTOO_MIRRORS="http://gentoo.inode.at/ http://www.mirror.ac.uk/sites/www.ibiblio.org/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/bmg-main"
SYNC="rsync://rsync.nl.gentoo.org/gentoo-portage"
USE="3dnow S3TC X aalib acl acpi alsa apache2 arts artswrappersuid avantgo avi berkdb bitmap-fonts bluetooth bonobo cdr crypt cups curl dga dvd encode esd evo exiscan-acl f77 fbcon flash foomaticdb gd gdbm ggi gif gnome gphoto2 gpm gps gstreamer gtk gtk2 gtkhtml guile imap imlib innodb irmc java javascript jpeg kde ldap libg++ libwww mad mbox mmx mozilla mpeg mysql nagios-dns nagios-ping nagios-ssh nas ncurses nls nvidia offensive oggvorbis opengl opie oss pam pda pdflib perl png postgres python qt quicktime readline samba scanner sdl slang snmp spell ssl svga tcltk tcpd tetex tiff truetype usb vhosts wifi wmf x86 xinerama xml xml2 xmmsxprint xv zlib"
Comment 3 Dewet Diener 2004-09-20 07:10:48 UTC
OK, switched back to gcc-3.3.4, and now it emerged fine.

Portage 2.0.51_rc1 (default-x86-1.4, gcc-3.3.4, glibc-2.3.4.20040808-r0, 2.6.8-ck3 i686)
Comment 4 Dewet Diener 2004-09-20 08:26:28 UTC
This also hit kdelibs-3.3.0 trying to compile it with gcc-3.4.1-r2, so I'm reverting to gcc-3.3.4-r1 to compile the whole of kde-3.3.0 with.
Comment 5 Dewet Diener 2004-09-21 01:47:22 UTC
Ah, ffs.  Now kdebase isn't compiling due to a known issue with gcc-3.3.x, which is fixed in 3.4 (see http://gcc.gnu.org/bugzilla/show_bug.cgi?id=13320):

[..]
make[3]: Entering directory `/var/tmp/portage/kdebase-3.3.0/work/kdebase-3.3.0/khotkeys/shared'
/bin/sh ../../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/kde/3.3/include -I/usr/qt/3/include -I/usr/X11R6/include   -DQT_THREAD_SUPPORT  -D_REENTRANT -D_FILE_OFFSET_BITS=64  -Wnon-virtual-dtor -Wno-long-long -Wundef-ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -DNDEBUG -DNO_DEBUG -O2 -march=athlon-tbird -O3 -pipe -fomit-frame-pointer -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -D_GNU_SOURCE  -c -o action_data.lo `test -f 'action_data.cpp' || echo './'`action_data.cpp
/usr/qt/3/bin/moc ./triggers.h -o triggers.moc
/usr/qt/3/bin/moc ./windows.h -o windows.moc
/bin/sh ../../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/kde/3.3/include -I/usr/qt/3/include -I/usr/X11R6/include   -DQT_THREAD_SUPPORT  -D_REENTRANT -D_FILE_OFFSET_BITS=64  -Wnon-virtual-dtor -Wno-long-long -Wundef-ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -DNDEBUG -DNO_DEBUG -O2 -march=athlon-tbird -O3 -pipe -fomit-frame-pointer -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -D_GNU_SOURCE  -c -o settings.lo `test -f 'settings.cpp' || echo './'`settings.cpp
triggers.h:82: sorry, unimplemented: adjusting pointers for covariant returns
conditions.h:89: sorry, unimplemented: adjusting pointers for covariant returns
conditions.h:116: sorry, unimplemented: adjusting pointers for covariant
   returns
distcc[28521] ERROR: compile settings.cpp on pundit/2 failed
make[3]: *** [settings.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/kdebase-3.3.0/work/kdebase-3.3.0/khotkeys/shared'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kdebase-3.3.0/work/kdebase-3.3.0/khotkeys'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kdebase-3.3.0/work/kdebase-3.3.0'
make: *** [all] Error 2

!!! ERROR: kde-base/kdebase-3.3.0 failed.
!!! Function kde_src_compile, Line 142, Exitcode 2
!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, NOT this status message.

Comment 6 Dewet Diener 2004-09-21 02:34:54 UTC
Err, nevermind that last one :)  I was still running gcc 3.4.1 on the other distcc host, which proved to be looking for trouble.  Disabled distcc for now, and compiling went fine.
Comment 7 Caleb Tennis (RETIRED) gentoo-dev 2004-10-14 14:55:35 UTC
*** Bug 67585 has been marked as a duplicate of this bug. ***
Comment 8 Caleb Tennis (RETIRED) gentoo-dev 2004-10-28 08:41:14 UTC
This seems to be just a result of mixing gcc 3.3 and 3.4 across distcc, with the possible addition of having arts compiled against one and kdelibs/base against another.
Comment 9 Caleb Tennis (RETIRED) gentoo-dev 2004-12-20 06:13:46 UTC
*** Bug 75030 has been marked as a duplicate of this bug. ***
Comment 10 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-07 02:21:05 UTC
*** Bug 76952 has been marked as a duplicate of this bug. ***
Comment 11 Gregorio Guidi (RETIRED) gentoo-dev 2005-03-18 06:24:21 UTC
*** Bug 85738 has been marked as a duplicate of this bug. ***
Comment 12 Gregorio Guidi (RETIRED) gentoo-dev 2005-05-05 01:43:20 UTC
*** Bug 91171 has been marked as a duplicate of this bug. ***
Comment 13 Gregorio Guidi (RETIRED) gentoo-dev 2005-05-05 03:02:28 UTC
*** Bug 91171 has been marked as a duplicate of this bug. ***
Comment 14 Jakub Moc (RETIRED) gentoo-dev 2005-05-19 00:52:11 UTC
*** Bug 93140 has been marked as a duplicate of this bug. ***
Comment 15 Gregorio Guidi (RETIRED) gentoo-dev 2005-07-14 10:51:06 UTC
*** Bug 99029 has been marked as a duplicate of this bug. ***
Comment 16 Alon Bar-Lev gentoo-dev 2005-07-14 13:28:59 UTC
# revdep-rebuild --library=libstdc++.so.5

Fixes it... It recompiles all C++ ebuilds using gcc 3.4.
Comment 17 Gregorio Guidi (RETIRED) gentoo-dev 2005-07-21 07:00:00 UTC
*** Bug 99792 has been marked as a duplicate of this bug. ***
Comment 18 Gregorio Guidi (RETIRED) gentoo-dev 2005-08-24 14:04:00 UTC
*** Bug 103617 has been marked as a duplicate of this bug. ***
Comment 19 Caleb Tennis (RETIRED) gentoo-dev 2005-09-19 18:37:10 UTC
*** Bug 106629 has been marked as a duplicate of this bug. ***
Comment 20 Gregorio Guidi (RETIRED) gentoo-dev 2005-10-12 01:14:35 UTC
*** Bug 108950 has been marked as a duplicate of this bug. ***
Comment 21 Gregorio Guidi (RETIRED) gentoo-dev 2005-11-19 07:53:54 UTC
*** Bug 112999 has been marked as a duplicate of this bug. ***
Comment 22 Jakub Moc (RETIRED) gentoo-dev 2005-11-28 08:17:47 UTC
*** Bug 113784 has been marked as a duplicate of this bug. ***
Comment 23 Jakub Moc (RETIRED) gentoo-dev 2005-11-30 13:00:54 UTC
*** Bug 114064 has been marked as a duplicate of this bug. ***
Comment 24 Jakub Moc (RETIRED) gentoo-dev 2005-12-11 10:13:47 UTC
*** Bug 115207 has been marked as a duplicate of this bug. ***
Comment 25 Jakub Moc (RETIRED) gentoo-dev 2005-12-15 16:47:26 UTC
*** Bug 115717 has been marked as a duplicate of this bug. ***
Comment 26 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-12-16 13:04:18 UTC
This works also for GCC 3.4 -> 4.0 updates.
Comment 27 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-12-16 13:05:38 UTC
*** Bug 115794 has been marked as a duplicate of this bug. ***
Comment 28 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-12-17 04:34:55 UTC
Add the alias, so that we don't need to remember the number :)
Comment 29 Damien Thébault 2005-12-19 03:53:37 UTC
I emerged kdelibs again and now it's working !
Comment 30 Jakub Moc (RETIRED) gentoo-dev 2005-12-26 13:23:57 UTC
*** Bug 116801 has been marked as a duplicate of this bug. ***
Comment 31 Jakub Moc (RETIRED) gentoo-dev 2006-01-28 04:31:31 UTC
*** Bug 120681 has been marked as a duplicate of this bug. ***
Comment 32 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-01-28 10:24:43 UTC
*** Bug 120570 has been marked as a duplicate of this bug. ***
Comment 33 Jakub Moc (RETIRED) gentoo-dev 2006-01-30 02:13:51 UTC
*** Bug 120913 has been marked as a duplicate of this bug. ***
Comment 34 Jakub Moc (RETIRED) gentoo-dev 2006-02-01 00:17:39 UTC
*** Bug 120913 has been marked as a duplicate of this bug. ***
Comment 35 Caleb Tennis (RETIRED) gentoo-dev 2006-02-11 11:06:36 UTC
*** Bug 122480 has been marked as a duplicate of this bug. ***
Comment 36 Jakub Moc (RETIRED) gentoo-dev 2006-02-11 23:59:47 UTC
*** Bug 122505 has been marked as a duplicate of this bug. ***
Comment 37 Jakub Moc (RETIRED) gentoo-dev 2006-02-12 02:48:33 UTC
*** Bug 122534 has been marked as a duplicate of this bug. ***
Comment 38 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-02-16 11:25:27 UTC
*** Bug 123065 has been marked as a duplicate of this bug. ***
Comment 39 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-02-18 04:58:51 UTC
*** Bug 121854 has been marked as a duplicate of this bug. ***
Comment 40 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-02-18 15:04:20 UTC
*** Bug 123319 has been marked as a duplicate of this bug. ***
Comment 41 Caleb Tennis (RETIRED) gentoo-dev 2006-02-24 09:42:01 UTC
*** Bug 123941 has been marked as a duplicate of this bug. ***
Comment 42 Jakub Moc (RETIRED) gentoo-dev 2006-03-09 00:04:25 UTC
*** Bug 125560 has been marked as a duplicate of this bug. ***
Comment 43 Carsten Lohrke (RETIRED) gentoo-dev 2006-03-09 05:33:00 UTC
*** Bug 125579 has been marked as a duplicate of this bug. ***
Comment 44 Jakub Moc (RETIRED) gentoo-dev 2006-03-16 01:49:33 UTC
*** Bug 126380 has been marked as a duplicate of this bug. ***
Comment 45 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-03-30 00:12:13 UTC
*** Bug 128070 has been marked as a duplicate of this bug. ***
Comment 46 Jakub Moc (RETIRED) gentoo-dev 2006-04-01 07:18:30 UTC
*** Bug 128381 has been marked as a duplicate of this bug. ***
Comment 47 Jakub Moc (RETIRED) gentoo-dev 2006-04-07 00:33:19 UTC
*** Bug 129080 has been marked as a duplicate of this bug. ***
Comment 48 Jakub Moc (RETIRED) gentoo-dev 2006-04-13 04:11:50 UTC
*** Bug 129787 has been marked as a duplicate of this bug. ***
Comment 49 Jakub Moc (RETIRED) gentoo-dev 2006-04-17 08:18:59 UTC
*** Bug 130266 has been marked as a duplicate of this bug. ***
Comment 50 Sein Schatten 2006-04-17 08:44:35 UTC
i still dont know what to do.
i have compiled everything with one compiler (i think :P i followed the upgrade guide and did the first possibility :) )

http://bugs.gentoo.org/show_bug.cgi?id=130266
Comment 51 Sein Schatten 2006-04-17 08:46:00 UTC
and i dont have distcc :/
Comment 52 Caleb Tennis (RETIRED) gentoo-dev 2006-04-17 09:30:35 UTC
To those affected with this bug:

I got bit by thins on one machine whilst doing an upgrade.

The easiest thing that fixed it for me was to emerge libstdc++-v3, then unmerge gcc-3.3.  All packages I upgraded after that were free of these compilation errors.
Comment 53 Sein Schatten 2006-04-17 12:47:33 UTC
i did that, too. no dice. i have the library and the newest stable gcc.
Comment 54 Caleb Tennis (RETIRED) gentoo-dev 2006-04-17 12:52:23 UTC
Did you remove the portage tmpdir before retrying?
Comment 55 Sein Schatten 2006-04-17 13:43:09 UTC
where is the temp dir? i didnt clear anything.
i guess my whole system is fucked up. :(
Comment 56 Caleb Tennis (RETIRED) gentoo-dev 2006-04-17 15:03:24 UTC
/var/tmp/portage/package-name
Comment 57 Sein Schatten 2006-04-17 15:26:47 UTC
oh, that one. hehe
i deleted all directories for amule and tried emerging. same error.
gonna try to reemerge (emptytree portage) the whole shizznit for portage. maybe something is broken there. :(
Comment 58 Sein Schatten 2006-04-18 04:45:02 UTC
still nothing. all of the 108 something packaged compiled without problems. but i still get errors with kdeblah and amule. I AM GETTING UPSET. :( :(
Comment 59 Sein Schatten 2006-04-18 08:51:32 UTC
did a -eav system without errors
tried kdemultimedia and still errors

.libs/structurebuilder_impl.o:(.gnu.linkonce.d._ZTV14Structure_impl+0x64): undefined reference to `virtual thunk to Arts::StdSynthModule::start()'
.libs/structurebuilder_impl.o:(.gnu.linkonce.d._ZTV14Structure_impl+0x68): undefined reference to `virtual thunk to Arts::StdSynthModule::stop()'
.libs/structurebuilder_impl.o:(.gnu.linkonce.d._ZTV14Structure_impl+0x70): undefined reference to `virtual thunk to Arts::StdSynthModule::streamStart()'
collect2: ld returned 1 exit status
make[3]: *** [libartsbuilder.la] Error 1
make[3]: Leaving directory `/var/tmp/portage/kdemultimedia-3.4.3/work/kdemultimedia-3.4.3/arts/runtime'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kdemultimedia-3.4.3/work/kdemultimedia-3.4.3/arts'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kdemultimedia-3.4.3/work/kdemultimedia-3.4.3'
make: *** [all] Error 2

!!! ERROR: kde-base/kdemultimedia-3.4.3 failed.
!!! Function kde_src_compile, Line 226, Exitcode 2
!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, NOT this status message.
Comment 60 Sein Schatten 2006-04-27 06:41:54 UTC
with a emerge -e world the following packages dont compile and give me the same error:

kdelibs, arts, multimedia

HAAAALP!
Comment 61 Scott Robert Ladd 2006-04-27 07:22:02 UTC
The only way I was able to solve this problem was to unmerge all but one version of GCC. With *just* GCC 4.1 installed, all of KDE compiles fine.

As I understand it, the problme lies with KDE's build scripts.
Comment 62 Sein Schatten 2006-04-27 07:27:28 UTC
i have only one gcc version... gcc 3.4.5. and i did the emerge -e with only that compiler on my pc. all of my 400 packages worked except those 3 i mentioned.
Comment 63 Jakub Moc (RETIRED) gentoo-dev 2006-05-01 05:40:49 UTC
*** Bug 131891 has been marked as a duplicate of this bug. ***
Comment 64 Jakub Moc (RETIRED) gentoo-dev 2006-05-06 09:07:23 UTC
*** Bug 132463 has been marked as a duplicate of this bug. ***
Comment 65 Carsten Lohrke (RETIRED) gentoo-dev 2006-05-07 05:40:05 UTC
For those having problems with GCC updates:

http://www.gentoo.org/doc/en/gcc-upgrading.xml
Comment 66 Jakub Moc (RETIRED) gentoo-dev 2006-05-16 07:55:07 UTC
*** Bug 133494 has been marked as a duplicate of this bug. ***
Comment 67 Jakub Moc (RETIRED) gentoo-dev 2006-05-25 05:53:39 UTC
*** Bug 134317 has been marked as a duplicate of this bug. ***
Comment 68 Steven 2006-05-26 04:57:18 UTC
Tried all the solutions described in this report. None of them work.
(revdep-rebuild, emerge -e, upgrade gcc guide, ...)

I still have this problem with following packages:

# app-admin/fam-2.7.0-r4

i686-pc-linux-gnu-g++ -O3 -march=pentium-m -mtune=pentium-m -pipe -ftracer -fomit-frame-pointer -frepo -o .libs/test test.o  ../lib/.libs/libfam.so /usr/lib/gcc/i686-pc-linux-gnu/3.4.5/libstdc++.so -L/usr/i686-pc-linux-gnu/bin -L/usr/i686-pc-linux-gnu/lib -lrpcsvc
../lib/.libs/libfam.so: undefined reference to `BTree<int, bool>::BTree()'
../lib/.libs/libfam.so: undefined reference to `BTree<int, void*>::insert(int const&, void* const&)'
../lib/.libs/libfam.so: undefined reference to `BTree<int, bool>::insert(int const&, bool const&)'
../lib/.libs/libfam.so: undefined reference to `BTree<int, bool>::remove(int const&)'
../lib/.libs/libfam.so: undefined reference to `BTree<int, void*>::BTree()'
../lib/.libs/libfam.so: undefined reference to `BTree<int, void*>::remove(int const&)'
../lib/.libs/libfam.so: undefined reference to `BTree<int, bool>::find(int const&) const'
../lib/.libs/libfam.so: undefined reference to `BTree<int, void*>::find(int const&) const'
collect2: ld returned 1 exit status

# dev-cpp/glibmm-2.8.1

i686-pc-linux-gnu-g++ -O3 -march=pentium-m -mtune=pentium-m -pipe -ftracer -fomit-frame-pointer -frepo -Wall -Wno-long-long -o .libs/generate_extra_defs generate_defs_glib.o -Wl,--export-dynamic  ./.libs/libglibmm_generate_extra_defs-2.4.so -L/usr/i686-pc-linux-gnu/bin -L/usr/i686-pc-linux-gnu/lib -L/usr/lib/gcc/i686-pc-linux-gnu/../../../i686-pc-linux-gnu/lib /usr/lib/libsigc-2.0.so /usr/lib/gcc/i686-pc-linux-gnu/3.4.5/libstdc++.so /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so
/usr/lib/libsigc-2.0.so: undefined reference to `std::list<sigc::slot_base, std::allocator<sigc::slot_base> >::insert(std::_List_iterator<sigc::slot_base>, sigc::slot_base const&)'
/usr/lib/libsigc-2.0.so: undefined reference to `std::_List_base<sigc::internal::trackable_callback, std::allocator<sigc::internal::trackable_callback> >::_M_clear()'
/usr/lib/libsigc-2.0.so: undefined reference to `std::_List_base<sigc::slot_base, std::allocator<sigc::slot_base> >::_M_clear()'
/usr/lib/libsigc-2.0.so: undefined reference to `std::list<sigc::internal::trackable_callback, std::allocator<sigc::internal::trackable_callback> >::erase(std::_List_iterator<sigc::internal::trackable_callback>)'
/usr/lib/libsigc-2.0.so: undefined reference to `std::list<sigc::slot_base, std::allocator<sigc::slot_base> >::erase(std::_List_iterator<sigc::slot_base>)'

# app-office/scribus-1.2.4.1

fparser.o: In function `(anonymous namespace)::SubTree::~SubTree()':
fparser.cpp:(.text+0xd2e): undefined reference to `std::_List_base<(anonymous namespace)::SubTree, std::allocator<(anonymous namespace)::SubTree> >::_M_clear()'fparser.o: In function `(anonymous namespace)::SubTree::~SubTree()':
fparser.cpp:(.text+0xd9e): undefined reference to `std::_List_base<(anonymous namespace)::SubTree, std::allocator<(anonymous namespace)::SubTree> >::_M_clear()'fparser.o: In function `(anonymous namespace)::SubTree::operator=((anonymous namespace)::CodeTree const&)':
<snip>





# EMERGE INFO

Portage 2.0.54-r2 (default-linux/x86/2005.1, gcc-3.4.5, glibc-2.3.6-r3, 2.6.15-gentoo-r1 i686)
=================================================================
System uname: 2.6.15-gentoo-r1 i686 Intel(R) Pentium(R) M processor 2.00GHz
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5, 2.4.2
dev-python/pycrypto: [Not Present]
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=pentium-m -mtune=pentium-m -pipe -ftracer -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=pentium-m -mtune=pentium-m -pipe -ftracer -fomit-frame-pointer -frepo"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LANG="en_US.iso88591"
LC_ALL="en_US.ISO-8859-1"
LINGUAS="en_US.ISO-8859-1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/home"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/home/ebuilds"
SYNC="rsync://rsync.be.gentoo.org/gentoo-portage"
USE="x86 X acpi alsa apache2 arts audiofile avi bash-completion berkdb bitmap-fonts bluetooth bonobo browserplugin bzip2 cdparanoia cdr cli crypt cups curl dri dvd dvdr dvdread eds emboss encode esd ethereal exif expat fam font-server foomaticdb fortran gd gdbm gif gimp glut gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal idn imagemagick imap imlib isdnlog java jpeg kde lcms libg++ libwww mad mhash mikmod mng motif mozilla mp3 mpeg mysql ncurses nls nsplugin odbc ogg oggvorbis opengl oss pam pcre pdflib perl png ppds pppd python qt quicktime readline reflection samba sdl session spell spl sqlite ssl tcltk tcpd tiff truetype truetype-fonts type1-fonts udev usb vhosts vorbis win32codecs xine xml xml2 xmms xorg xprint xv xvid zlib linguas_en_US.ISO-8859-1 userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTAGE_RSYNC_OPTS
Comment 69 Erik Andrén 2006-05-26 05:37:43 UTC
Make sure you only have one gcc version installed. I resolved a similar problem my unmerging _all_ previous installed versions.
Comment 70 Steven 2006-05-26 09:45:35 UTC
(In reply to comment #69)
> Make sure you only have one gcc version installed. I resolved a similar problem
> my unmerging _all_ previous installed versions.
> 

Erik,
I unmerged gcc 3.3, and now I only have version 3.4.5.
After that I did emerge -e system without any problems, but the packages I mentioned still give me the errors.

Is there something else I should do ? (or unmerge other packages than only gcc ?)
Comment 71 Caleb Tennis (RETIRED) gentoo-dev 2006-05-26 09:52:21 UTC
rm -rf your /var/tmp/portage/foo-xxx directory for each ebuild in question

Probably rm -rf your ccache directory as well.
Comment 72 Steven 2006-05-26 10:08:24 UTC
(In reply to comment #71)
> rm -rf your /var/tmp/portage/foo-xxx directory for each ebuild in question
> 
> Probably rm -rf your ccache directory as well.
> 

I cleared the portage-tmp-dir, so that didn't help. Where can I find the ccache-dir ? That's something I don't know yet :)
Comment 73 Tomas Cohen Arazi 2006-05-26 13:09:44 UTC
(In reply to comment #72)
> (In reply to comment #71)
> > rm -rf your /var/tmp/portage/foo-xxx directory for each ebuild in question
> > 
> > Probably rm -rf your ccache directory as well.
> > 
> 
> I cleared the portage-tmp-dir, so that didn't help. Where can I find the
> ccache-dir ? That's something I don't know yet :)

Did you try rebuilding your toolchain? You can do it doing emwrap -te
You can get the emwrap script from this site http://www3.telus.net/dol-sen/linux/emwrap-4.2.tar.bz2. This script and others for the same purpose where discussed in this forum thread http://forums.gentoo.org/viewtopic-t-282474-highlight-toolchain.html?sid=d31b60c088c8fa4b66b6a4e813d4796f

After rebuilding the toolchain perhaps you're luckier.
Comment 74 Jakub Moc (RETIRED) gentoo-dev 2006-05-27 00:44:12 UTC
*** Bug 134474 has been marked as a duplicate of this bug. ***
Comment 75 Steven 2006-05-27 08:07:06 UTC
(In reply to comment #73)
> After rebuilding the toolchain perhaps you're luckier.

I did emerge -e system twice without any problems
bu it didn't solve the problem
After that I tried to do emerge -e world (twice) but it still fails on fam...

So I'm affraid the emwrap script won't help either :( I'll try it anyway.

Any other ideas ?
Comment 76 Devon Warren 2006-05-27 08:39:50 UTC
(In reply to comment #69)
> Make sure you only have one gcc version installed. I resolved a similar problem
> my unmerging _all_ previous installed versions.
> 

Ok that worked thanks.
Comment 77 Jakub Moc (RETIRED) gentoo-dev 2006-05-29 04:35:22 UTC
*** Bug 134747 has been marked as a duplicate of this bug. ***
Comment 78 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-05-29 19:51:25 UTC
*** Bug 134855 has been marked as a duplicate of this bug. ***
Comment 79 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-05-30 02:45:12 UTC
*** Bug 134889 has been marked as a duplicate of this bug. ***
Comment 80 Bryan Jacobs 2006-05-30 03:45:04 UTC
(In reply to comment #69)
> Make sure you only have one gcc version installed. I resolved a similar problem
> my unmerging _all_ previous installed versions.
> 

I just uninstalled gcc-3.4.5, got about a bajillion messages in fix-libtool-files.sh, and then RAN amarok (no recompiling or anything) and it worked.

Veeeery interesting...
Comment 81 Jakub Moc (RETIRED) gentoo-dev 2006-06-02 14:12:53 UTC
*** Bug 135293 has been marked as a duplicate of this bug. ***
Comment 82 Jakub Moc (RETIRED) gentoo-dev 2006-06-04 03:35:22 UTC
*** Bug 135482 has been marked as a duplicate of this bug. ***
Comment 83 Jakub Moc (RETIRED) gentoo-dev 2006-06-04 03:35:55 UTC
*** Bug 135484 has been marked as a duplicate of this bug. ***
Comment 84 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-06-05 02:56:21 UTC
*** Bug 135606 has been marked as a duplicate of this bug. ***
Comment 85 Jakub Moc (RETIRED) gentoo-dev 2006-06-05 10:39:40 UTC
*** Bug 135654 has been marked as a duplicate of this bug. ***
Comment 86 Steven 2006-06-05 13:10:14 UTC
I tried every possible solution I found for this problem, but none did the trick for me.  Maybe something else was wrong ?

I reinstalled my gentoo in a chroot-jail so I could continue using my current system, and now I'm switching over to the new system.

I downloaded emwrap, but I'm not quite sure how to use it.  Now I do all my installs the old way (emerge -av), and after a whole lot of packages I rebuild TC, TC, System, TC, System, World, TC, System, World with emwrap.
I think it will do the trick, but it doesn't seem the right way to me...

Can someone explain me in detail how to keep my system up to date the right way ?  (please don't point me to the forum thread, it's over 20 pages and not clear to me)

If there are people who can't solve their problem and want to install a new system, while continuing to use there old system until it's finnished (like I did) I'll be happy to help them out ! :-)

Best regards,
Steven
Comment 87 Jakub Moc (RETIRED) gentoo-dev 2006-06-06 05:55:16 UTC
*** Bug 135756 has been marked as a duplicate of this bug. ***
Comment 88 Jakub Moc (RETIRED) gentoo-dev 2006-06-07 02:45:53 UTC
*** Bug 135877 has been marked as a duplicate of this bug. ***
Comment 89 Jakub Moc (RETIRED) gentoo-dev 2006-06-07 03:27:25 UTC
*** Bug 135887 has been marked as a duplicate of this bug. ***
Comment 90 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-06-07 06:42:55 UTC
*** Bug 135887 has been marked as a duplicate of this bug. ***
Comment 91 Rodney Brown 2006-06-08 05:48:24 UTC
(In reply to comment #61)
> The only way I was able to solve this problem was to unmerge all but one
> version of GCC. With *just* GCC 4.1 installed, all of KDE compiles fine.
> 
> As I understand it, the problme lies with KDE's build scripts.
> 

This is what fixed it for me as well.

Even though half of the kde split builds had already compiled, some others would not.  Unmerging all previous versions of GCC got things moving again.
Comment 92 Jens Mueller 2006-06-08 12:57:30 UTC
For me, too ...

Can't really see what is invalid about this bug ...
Comment 93 Matteo Azzali (RETIRED) gentoo-dev 2006-06-08 14:40:02 UTC
The issue isn't at all in kde scripts or in kde, you're just using something
"out of the rules".
Please read carefully http://www.gentoo.org/doc/en/gcc-upgrading.xml ,
expecially the paragraph about "emerge -e world" , if you want to know what's
"invalid" in this bug.
Comment 94 Jakub Moc (RETIRED) gentoo-dev 2006-06-11 16:51:08 UTC
*** Bug 136494 has been marked as a duplicate of this bug. ***
Comment 95 Jakub Moc (RETIRED) gentoo-dev 2006-06-13 00:06:15 UTC
*** Bug 136609 has been marked as a duplicate of this bug. ***
Comment 96 Jakub Moc (RETIRED) gentoo-dev 2006-06-13 07:37:54 UTC
*** Bug 136657 has been marked as a duplicate of this bug. ***
Comment 97 Jakub Moc (RETIRED) gentoo-dev 2006-06-14 00:52:38 UTC
*** Bug 136728 has been marked as a duplicate of this bug. ***
Comment 98 Jakub Moc (RETIRED) gentoo-dev 2006-06-17 06:34:41 UTC
*** Bug 137078 has been marked as a duplicate of this bug. ***
Comment 99 Jakub Moc (RETIRED) gentoo-dev 2006-06-22 02:47:06 UTC
*** Bug 137554 has been marked as a duplicate of this bug. ***
Comment 100 Jakub Moc (RETIRED) gentoo-dev 2006-06-27 12:02:25 UTC
*** Bug 138205 has been marked as a duplicate of this bug. ***
Comment 101 Jakub Moc (RETIRED) gentoo-dev 2006-06-27 12:02:49 UTC
*** Bug 134113 has been marked as a duplicate of this bug. ***
Comment 102 Jakub Moc (RETIRED) gentoo-dev 2006-06-27 12:03:28 UTC
*** Bug 137717 has been marked as a duplicate of this bug. ***
Comment 103 Carsten Lohrke (RETIRED) gentoo-dev 2006-07-03 10:49:17 UTC
*** Bug 139046 has been marked as a duplicate of this bug. ***
Comment 104 Carsten Lohrke (RETIRED) gentoo-dev 2006-07-04 09:44:48 UTC
*** Bug 139204 has been marked as a duplicate of this bug. ***
Comment 105 Xavier Neys (RETIRED) gentoo-dev 2006-07-16 01:59:55 UTC
*** Bug 139644 has been marked as a duplicate of this bug. ***
Comment 106 Jakub Moc (RETIRED) gentoo-dev 2006-07-20 03:58:10 UTC
*** Bug 141146 has been marked as a duplicate of this bug. ***
Comment 107 Jakub Moc (RETIRED) gentoo-dev 2006-07-25 14:37:55 UTC
*** Bug 141739 has been marked as a duplicate of this bug. ***
Comment 108 Jakub Moc (RETIRED) gentoo-dev 2006-07-26 07:09:11 UTC
*** Bug 125417 has been marked as a duplicate of this bug. ***
Comment 109 Jakub Moc (RETIRED) gentoo-dev 2006-07-27 08:08:13 UTC
*** Bug 141890 has been marked as a duplicate of this bug. ***
Comment 110 Jeffrey Gardner (RETIRED) gentoo-dev 2006-07-27 08:34:38 UTC
I have gcc-3.4.6 and gcc-4.1.1. Rather than unmerge the older gcc, I just ran " fix_libtool_files.sh 3.4.6" and everything's fine now. I emerged all of KDE with 4.1.1, and emerge -e world also....I don't see what's so invalid about this bug either...
Comment 111 Jan Schubert 2006-07-28 05:25:50 UTC
Just unmerging gcc-3.4.4 did the trick for me (using 4.1.1)...
Comment 112 Jakub Moc (RETIRED) gentoo-dev 2006-08-06 05:54:27 UTC
*** Bug 142970 has been marked as a duplicate of this bug. ***
Comment 113 Jakub Moc (RETIRED) gentoo-dev 2006-08-06 07:41:24 UTC
*** Bug 142983 has been marked as a duplicate of this bug. ***
Comment 114 Jakub Moc (RETIRED) gentoo-dev 2006-08-13 22:48:25 UTC
*** Bug 143846 has been marked as a duplicate of this bug. ***
Comment 115 Carsten Lohrke (RETIRED) gentoo-dev 2006-08-15 12:19:27 UTC
*** Bug 144030 has been marked as a duplicate of this bug. ***
Comment 116 Jakub Moc (RETIRED) gentoo-dev 2006-09-03 06:44:20 UTC
*** Bug 146127 has been marked as a duplicate of this bug. ***
Comment 117 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-09-03 08:25:18 UTC
*** Bug 146134 has been marked as a duplicate of this bug. ***
Comment 118 Ioannis Aslanidis (RETIRED) gentoo-dev 2006-09-03 10:34:02 UTC
*** Bug 146072 has been marked as a duplicate of this bug. ***
Comment 119 Carsten Lohrke (RETIRED) gentoo-dev 2006-09-05 09:45:10 UTC
*** Bug 146406 has been marked as a duplicate of this bug. ***
Comment 120 Heiko Baums 2006-09-05 11:38:41 UTC
(In reply to comment #61)
> The only way I was able to solve this problem was to unmerge all but one
> version of GCC. With *just* GCC 4.1 installed, all of KDE compiles fine.

And don't forget to do these two steps:

Delete the file /etc/env.d/05compiler if it exists. It belongs to eselect-compiler which was unmasked for a short time and is now again masked and isn't needed because the content of this file is also in 05gcc.

Edit the file /etc/env.d/05gcc and remove every path of an older gcc version than the installed one.
Comment 121 Jakub Moc (RETIRED) gentoo-dev 2006-09-11 07:51:24 UTC
*** Bug 147194 has been marked as a duplicate of this bug. ***
Comment 122 Jakub Moc (RETIRED) gentoo-dev 2006-09-16 13:58:03 UTC
*** Bug 147843 has been marked as a duplicate of this bug. ***
Comment 123 Jakub Moc (RETIRED) gentoo-dev 2006-09-22 07:18:28 UTC
*** Bug 148647 has been marked as a duplicate of this bug. ***
Comment 124 Mark Dominik Bürkle 2006-09-22 15:39:40 UTC
kdemultimedia failed here.
I tried rebuilding kdelibs which helped in another case.
Not this time though - possibly reasoned by

 - I emerged eselect-compiler, meanwhile. I have both 05gcc and 05compiler.

 - I ran "eselect compiler list" which said it would use gcc-4.1.1 (as reflected in 05compiler)

 - but /lib/libgcc_s.so.1 was the same as /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/libgcc_s.so.1 and not /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libgcc_s.so.1 

 - 05gcc contained 
/etc/env.d/05gcc:LDPATH="/usr/lib/gcc/i686-pc-linux-gnu/3.4.6:/usr/lib/gcc/i686-pc-linux-gnu/4.1.1"

 - I thought that "eselect compiler" would replace "gcc-config" - this seems to be wrong.

 - "gcc-config -l" still showed that 3.4.6 was used as the default compiler.


After "gcc-config ...4.1.1" the 05gcc contained the correct order
/etc/env.d/05gcc:LDPATH="/usr/lib/gcc/i686-pc-linux-gnu/4.1.1:/usr/lib/gcc/i686-pc-linux-gnu/3.4.6
and /lib/libgcc_s.so.1 is the same as the 4.1.1 version.

I'm following the gcc-upgrade guide right now (... -e system; ... -e world) which was once broken at gettext (maybe because I still haven't deleted 05compiler:-) and will take a long time, anyways...

Kind regards and good luck, for whom it didn't work out yet! ;-)
Comment 125 Jakub Moc (RETIRED) gentoo-dev 2006-09-23 00:04:55 UTC
*** Bug 148739 has been marked as a duplicate of this bug. ***
Comment 126 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-01 22:44:32 UTC
*** Bug 141546 has been marked as a duplicate of this bug. ***
Comment 127 Jakub Moc (RETIRED) gentoo-dev 2006-10-07 06:45:30 UTC
*** Bug 118403 has been marked as a duplicate of this bug. ***
Comment 128 Jakub Moc (RETIRED) gentoo-dev 2006-10-07 06:48:10 UTC
*** Bug 128765 has been marked as a duplicate of this bug. ***
Comment 129 Jakub Moc (RETIRED) gentoo-dev 2006-10-09 12:01:57 UTC
*** Bug 150586 has been marked as a duplicate of this bug. ***
Comment 130 Jakub Moc (RETIRED) gentoo-dev 2006-10-11 09:33:23 UTC
*** Bug 150902 has been marked as a duplicate of this bug. ***
Comment 131 Jakub Moc (RETIRED) gentoo-dev 2006-10-11 14:04:54 UTC
*** Bug 150927 has been marked as a duplicate of this bug. ***
Comment 132 Jakub Moc (RETIRED) gentoo-dev 2006-10-16 09:09:43 UTC
*** Bug 151603 has been marked as a duplicate of this bug. ***
Comment 133 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-17 02:15:10 UTC
*** Bug 151675 has been marked as a duplicate of this bug. ***
Comment 134 Mike Baikov 2006-10-17 05:56:24 UTC
So, maybe need report to user about fix_libtool (after gcc install, sure)?
Comment 135 Jakub Moc (RETIRED) gentoo-dev 2006-10-20 13:06:47 UTC
*** Bug 149135 has been marked as a duplicate of this bug. ***
Comment 136 Harald van Dijk (RETIRED) gentoo-dev 2006-10-26 06:02:47 UTC
*** Bug 152867 has been marked as a duplicate of this bug. ***
Comment 137 Jakub Moc (RETIRED) gentoo-dev 2006-10-26 11:40:52 UTC
*** Bug 152898 has been marked as a duplicate of this bug. ***
Comment 138 Jakub Moc (RETIRED) gentoo-dev 2006-10-27 08:18:36 UTC
*** Bug 152976 has been marked as a duplicate of this bug. ***
Comment 139 Jakub Moc (RETIRED) gentoo-dev 2006-11-17 04:15:50 UTC
*** Bug 155470 has been marked as a duplicate of this bug. ***
Comment 140 Jakub Moc (RETIRED) gentoo-dev 2006-11-20 01:42:18 UTC
*** Bug 155744 has been marked as a duplicate of this bug. ***
Comment 141 Jakub Moc (RETIRED) gentoo-dev 2006-11-27 15:58:19 UTC
*** Bug 156359 has been marked as a duplicate of this bug. ***
Comment 142 Jakub Moc (RETIRED) gentoo-dev 2006-12-16 17:09:16 UTC
*** Bug 123065 has been marked as a duplicate of this bug. ***
Comment 143 Jakub Moc (RETIRED) gentoo-dev 2007-01-22 11:50:39 UTC
*** Bug 163227 has been marked as a duplicate of this bug. ***
Comment 144 Jakub Moc (RETIRED) gentoo-dev 2007-02-01 18:18:06 UTC
*** Bug 164889 has been marked as a duplicate of this bug. ***
Comment 145 Jakub Moc (RETIRED) gentoo-dev 2007-02-18 18:16:34 UTC
*** Bug 149019 has been marked as a duplicate of this bug. ***
Comment 146 Jakub Moc (RETIRED) gentoo-dev 2007-02-19 21:16:48 UTC
*** Bug 167684 has been marked as a duplicate of this bug. ***
Comment 147 Dustin J. Mitchell 2007-02-19 22:01:32 UTC
Given the vast number of duplicate bugs on this (and the un-searchable summary -- I don't see any way I could have found this from ticket #167684), could I propose an update to http://www.gentoo.org/doc/en/gcc-upgrading.xml?  In particular, comment #120 would be helpful.

Comment #93 directs me to look at gcc-upgrading.xml and learn that I must unmerge the old gcc before trying to emerge world.  I see nothing to that effect, but I do see "It is safe to remove the older GCC version at this time. If you feel the need...", but that's not quite a "YOU MUST" kind of statement..

If this is reasonable, I'll be happy to write a documentation patch in another ticket.
Comment 148 Carsten Lohrke (RETIRED) gentoo-dev 2007-02-19 23:49:15 UTC
(In reply to comment #147)
> Given the vast number of duplicate bugs on this (and the un-searchable summary
> -- I don't see any way I could have found this from ticket #167684), could I
> propose an update to http://www.gentoo.org/doc/en/gcc-upgrading.xml?  In
> particular, comment #120 would be helpful.

When you want the documentation extended, please open a new bug. Don't reopen this bug again.
Comment 149 Dustin J. Mitchell 2007-02-20 00:22:58 UTC
As a courtesy, please read the entire post before responding like that.  I asked if this was a reasonable request, and offered to open a new ticket if it was.  Since you asked me not to re-open this ticket, I have opened a new ticket.  However, I can't offer a doc patch because I don't fully understand the instructions embodied in *this* ticket.
Comment 150 Jakub Moc (RETIRED) gentoo-dev 2007-02-25 07:48:45 UTC
*** Bug 168290 has been marked as a duplicate of this bug. ***
Comment 151 Jakub Moc (RETIRED) gentoo-dev 2007-02-27 22:31:39 UTC
*** Bug 168639 has been marked as a duplicate of this bug. ***
Comment 152 Jakub Moc (RETIRED) gentoo-dev 2007-03-11 14:27:06 UTC
*** Bug 123065 has been marked as a duplicate of this bug. ***
Comment 153 Jakub Moc (RETIRED) gentoo-dev 2007-03-11 14:28:48 UTC
Re-assign to bug-wranglers to prevent KDE folks being flooded by pointless
noise.

Comment 154 Jakub Moc (RETIRED) gentoo-dev 2007-03-12 16:58:39 UTC
*** Bug 170601 has been marked as a duplicate of this bug. ***
Comment 155 Jakub Moc (RETIRED) gentoo-dev 2007-03-28 07:11:17 UTC
*** Bug 172484 has been marked as a duplicate of this bug. ***
Comment 156 Carsten Lohrke (RETIRED) gentoo-dev 2007-04-12 13:52:07 UTC
*** Bug 174275 has been marked as a duplicate of this bug. ***
Comment 157 Markus Ullmann (RETIRED) gentoo-dev 2007-04-21 09:24:40 UTC
*** Bug 175409 has been marked as a duplicate of this bug. ***
Comment 158 Jakub Moc (RETIRED) gentoo-dev 2007-05-17 05:45:32 UTC
*** Bug 174923 has been marked as a duplicate of this bug. ***
Comment 159 Jakub Moc (RETIRED) gentoo-dev 2007-05-22 08:49:13 UTC
*** Bug 179396 has been marked as a duplicate of this bug. ***
Comment 160 Jakub Moc (RETIRED) gentoo-dev 2007-06-03 07:55:32 UTC
*** Bug 180674 has been marked as a duplicate of this bug. ***
Comment 161 Jakub Moc (RETIRED) gentoo-dev 2007-06-04 16:31:31 UTC
*** Bug 180674 has been marked as a duplicate of this bug. ***
Comment 162 Jakub Moc (RETIRED) gentoo-dev 2007-06-05 18:20:17 UTC
*** Bug 180674 has been marked as a duplicate of this bug. ***
Comment 163 Jakub Moc (RETIRED) gentoo-dev 2007-07-25 05:19:56 UTC
*** Bug 186535 has been marked as a duplicate of this bug. ***
Comment 164 Jakub Moc (RETIRED) gentoo-dev 2007-07-25 06:14:10 UTC
*** Bug 186540 has been marked as a duplicate of this bug. ***
Comment 165 Jakub Moc (RETIRED) gentoo-dev 2007-07-28 08:02:38 UTC
*** Bug 186858 has been marked as a duplicate of this bug. ***
Comment 166 Jakub Moc (RETIRED) gentoo-dev 2007-07-31 18:17:18 UTC
*** Bug 187261 has been marked as a duplicate of this bug. ***
Comment 167 Jakub Moc (RETIRED) gentoo-dev 2007-08-28 10:33:28 UTC
*** Bug 190497 has been marked as a duplicate of this bug. ***
Comment 168 Wulf Krueger (RETIRED) gentoo-dev 2007-09-07 16:38:58 UTC
*** Bug 191609 has been marked as a duplicate of this bug. ***
Comment 169 Jakub Moc (RETIRED) gentoo-dev 2007-09-11 23:47:04 UTC
*** Bug 192249 has been marked as a duplicate of this bug. ***
Comment 170 Jakub Moc (RETIRED) gentoo-dev 2007-10-04 19:17:14 UTC
*** Bug 194726 has been marked as a duplicate of this bug. ***
Comment 171 Jakub Moc (RETIRED) gentoo-dev 2007-12-01 22:23:32 UTC
*** Bug 200923 has been marked as a duplicate of this bug. ***
Comment 172 Jakub Moc (RETIRED) gentoo-dev 2008-02-01 09:09:19 UTC
*** Bug 208378 has been marked as a duplicate of this bug. ***
Comment 173 Jakub Moc (RETIRED) gentoo-dev 2008-02-06 10:41:42 UTC
*** Bug 209110 has been marked as a duplicate of this bug. ***
Comment 174 Arno Hahma 2008-02-27 11:12:52 UTC
I have now done everything in this thread, but kdemultimedia still tries to find something from gcc-3.3.2:

_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -fexceptions   -o juk -L/usr/kde/3.5/lib -L/usr/qt/3/lib     -R /usr/kde/3.5/lib -R /usr/kde/3.5/lib -R /usr/qt/3/lib  advancedsearchdialog.o actioncollection.o akodeplayer.o artsplayer.o cache.o categoryreaderinterface.o collectionlist.o coverdialog.o covericonview.o coverinfo.o covermanager.o deletedialog.o directorylist.o dynamicplaylist.o exampleoptions.o folderplaylist.o filehandle.o filerenamer.o filerenameroptions.o filerenamerconfigdlg.o gstreamerplayer.o webimagefetcher.o webimagefetcherdialog.o historyplaylist.o juk.o k3bexporter.o keydialog.o main.o mediafiles.o musicbrainzquery.o nowplaying.o playermanager.o playlist.o playlistbox.o playlistcollection.o playlistinterface.o playlistitem.o playlistsearch.o playlistsplitter.o searchplaylist.o searchwidget.o slideraction.o sortedstringlist.o splashscreen.o statuslabel.o stringshare.o systemtray.o tag.o tageditor.o tagguesser.o tagguesserconfigdlg.o tagrenameroptions.o tagtransactionmanager.o trackpickerdialog.o tracksequenceiterator.o tracksequencemanager.o treeviewitemplaylist.o upcomingplaylist.o ktrm.o viewmode.o jukIface_skel.o coverdialogbase.o deletedialogbase.o directorylistbase.o exampleoptionsbase.o filerenamerbase.o filerenameroptionsbase.o tagguesserconfigdlgwidget.o trackpickerdialogbase.o -lm   -lkio -L/usr/lib -ltag -L/usr/lib -lakode -lkhtml  
libtool: link: cannot find the library `/usr/lib/gcc-lib/alpha-unknown-linux-gnu/3.3.2/libstdc++.la'
make[3]: *** [juk] Error 1
make[3]: Leaving directory `/var/tmp/portage/kde-base/kdemultimedia-3.5.8-r1/work/kdemultimedia-3.5.8/juk'
make[2]: *** [all-recursive] Error 1

How do I proceed now?


Comment 175 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-02-29 18:13:35 UTC
*** Bug 211879 has been marked as a duplicate of this bug. ***
Comment 176 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-03-15 00:53:15 UTC
*** Bug 213000 has been marked as a duplicate of this bug. ***
Comment 177 Jakub Moc (RETIRED) gentoo-dev 2008-03-15 10:23:59 UTC
*** Bug 213446 has been marked as a duplicate of this bug. ***
Comment 178 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-05-27 03:10:31 UTC
*** Bug 223563 has been marked as a duplicate of this bug. ***